Bug 1304724 - Contributors persp.: graphs freeze, exception in JS, possible infinite loop detected
Contributors persp.: graphs freeze, exception in JS, possible infinite loop d...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ER1
: 6.3.0
Assigned To: David Gutierrez
Lukáš Petrovický
: Regression
Depends On:
Blocks: 1305122
  Show dependency treegraph
 
Reported: 2016-02-04 08:20 EST by Zuzana Krejčová
Modified: 2016-07-31 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1305122 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast (10.95 MB, application/octet-stream)
2016-02-04 08:20 EST, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2016-02-04 08:20:09 EST
Created attachment 1121099 [details]
screencast

Description of problem:
When in Contributors perspective, user can filter data, select different org. units, years, quarters or days by clicking on respective elements inside the interactive graphs. In specific cases (I suspect the presence of repositories without any real commits), the graphs freeze and stop reacting to further user action.
The JS console shows uncaught IllegalArgumentException and later even a warning about a possible infinite loop.

See captured screencast for more information.

Note: only the graphs freeze, not the whole workbench. To reset this, user simply has to switch perspectives, or refresh the page.


Version-Release number of selected component (if applicable):
6.2.1 CR2


Steps to Reproduce:
1. Create two org. units - ou1 and ou2.
2. Create two repos in ou1 - ou1r1 and ou1r2 - and one repo in ou2 - ou2r1.
3. Switch to Contributors perspective.
4. Click the same org. unit/circle in the first graph twice.
5. Try clicking on the other org. unit/circle.


Actual results:
Graph is frozen.


Expected results:
Graph continues working.


Additional info:
This is working fine in 6.2.1 CR1.
Comment 3 David Gutierrez 2016-02-25 11:36:17 EST
To reproduce the issue is not even needed to create any empty org. unit or repo. Just by selecting entries on the author dropdown for instance, produces the same result. 

The issue has been reported in the Dashbuilder's JIRA:

https://issues.jboss.org/browse/DASHBUILDE-95

A fix has been already provided as well.

Note You need to log in before you can comment on or make changes to this bug.